内核编译问题,求助(搞定了,耶)

为当前最终发行版之前的所有版本提供支持
回复
daqqk
帖子: 17
注册时间: 2006-09-24 2:42
送出感谢: 0
接收感谢: 0
联系:

内核编译问题,求助(搞定了,耶)

#1

帖子 daqqk » 2006-09-30 0:09

内核编译完成后,重启出现以下错误,不能进入系统

WARNING: Couldn't open directory /lib/modules/2.6.17.13: No such file or directory
FATAL: Could not open /lib/modules/2.6.17.13/modules.dep.temp for writing: No such file or directory


但是路径/lib/modules/2.6.17.13是存在的。
我编译的步骤是:
make
make install
make modules
make modules_install
mkinitramfs -o /boot/initrd.img-2.6.17.13
然后在menu.lst中添加内容,最后重启

有人能帮我吗?
上次由 daqqk 在 2006-10-01 0:43,总共编辑 1 次。
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 SuperWar3Fan » 2006-09-30 8:42

没有把内核编译需要的包安装完整。你的编译的内核应该没有问题,请安装bin86等其他包。
daqqk
帖子: 17
注册时间: 2006-09-24 2:42
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 daqqk » 2006-09-30 9:43

SuperWar3Fan
非常感谢

我装了bin86,能不能告诉我还要装哪些吗?
daqqk
帖子: 17
注册时间: 2006-09-24 2:42
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 daqqk » 2006-09-30 10:19

ding!
daqqk
帖子: 17
注册时间: 2006-09-24 2:42
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 daqqk » 2006-09-30 15:59

没人碰到过这种问题吗?
daqqk
帖子: 17
注册时间: 2006-09-24 2:42
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 daqqk » 2006-09-30 15:59

没人碰到过这种问题吗?
daqqk
帖子: 17
注册时间: 2006-09-24 2:42
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 daqqk » 2006-09-30 20:00

狂ding
daqqk
帖子: 17
注册时间: 2006-09-24 2:42
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 daqqk » 2006-10-01 0:06

没人喜欢帮助新人吗
头像
alpha.gu
帖子: 1456
注册时间: 2006-09-10 16:06
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 alpha.gu » 2006-10-03 22:06

我也遇到过这样的问题,好像是在Config的时候有些选项没选对引起的。
Dshadow
帖子: 3
注册时间: 2006-04-13 14:02
送出感谢: 0
接收感谢: 0

#10

帖子 Dshadow » 2006-10-19 11:59

请问lz是怎么解决的阿 。我也碰到了一样的问题
头像
alpha.gu
帖子: 1456
注册时间: 2006-09-10 16:06
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 alpha.gu » 2006-10-19 15:23

這個問題的結果,我自己試出來應該是這樣的:

mkinitramfs -o /boot/initrd.img-2.6.18

以上會出現2.6.18模塊目錄打不開,就如樓主帖子寫的一樣

mkinitramfs -o /boot/initrd.img-2.6.18 2.6.18

OK
头像
SuperWar3Fan
帖子: 1263
注册时间: 2006-05-20 6:25
来自: 山东淄博
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 SuperWar3Fan » 2006-10-19 15:31

libncurses5-dev(menuconfig需要的)和essential

build-essential bin86 kernel-package
libqt3-headers libqt3-mt-dev
回复

回到 “老旧版本支持”